Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.schema
Class RelationTable

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc2.schema.RelationTable

All Implemented Interfaces:
  Table

public class RelationTable
extends Object
implements Table

Version:
  `$Revision: 1.3 $`
Author:
  Alexey Loubyansky

Constructor Summary
`RelationTable(JDBCCMRFieldBridge2 leftField, JDBCCMRFieldBridge2 rightField, Schema schema, int tableId)`

Method Summary
`void` | `addRelation(JDBCCMRFieldBridge2 field1, Object key1, JDBCCMRFieldBridge2 field2, Object key2)`
`Table.View` | `createView(Transaction tx)`
`int` | `getTableId()`
`String` | `getTableName()`
`void` | `removeRelation(JDBCCMRFieldBridge2 field1, Object key1, JDBCCMRFieldBridge2 field2, Object key2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationTable

    public RelationTable(JDBCCMRFieldBridge2 leftField,
                         JDBCCMRFieldBridge2 rightField,
                         Schema schema,
                         int tableId)
                  throws org.jboss.deployment.DeploymentException

Method Detail

### addRelation

    public void addRelation(JDBCCMRFieldBridge2 field1,
                            Object key1,
                            JDBCCMRFieldBridge2 field2,
                            Object key2)

### removeRelation

    public void removeRelation(JDBCCMRFieldBridge2 field1,
                               Object key1,
                               JDBCCMRFieldBridge2 field2,
                               Object key2)

### getTableId

    public int getTableId()

  Specified by:
    `getTableId` in interface `Table`

### getTableName

    public String getTableName()

  Specified by:
    `getTableName` in interface `Table`

### createView

    public Table.View createView(Transaction tx)

  Specified by:
    `createView` in interface `Table`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.